# Perform optinal tests
%bcond_without perl_Test_More_UTF8_enables_optional_test

Name:           perl-Test-More-UTF8
Version:        0.05
Release:        4%{?dist}
Summary:        Test::More enhanced for UTF-8
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-More-UTF8/
Source0:        https://cpan.metacpan.org/authors/id/M/MO/MONS/Test-More-UTF8-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.7.3
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(IO::Handle)
%if %{with perl_Test_More_UTF8_enables_optional_test}
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(utf8)

%description
This Perl module enhances Test::More so that it can print Unicode strings.

%prep
%setup -q -n Test-More-UTF8-%{version}
%if !%{with perl_Test_More_UTF8_enables_optional_test}
rm t/pod.t t/pod-coverage.t
perl -i -nle 'print $_ unless m{\At/(pod|pod-coverage)\.t\b}' MANIFEST
%endif

%build
unset AUTHOR
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.05-3
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 2019 Petr Pisar <ppisar@redhat.com> 0.05-1
- Specfile autogenerated by cpanspec 1.78.
